# 一个服务器在线玩家时间以及服务器状态的简单的mod
[English](https://git.branulf.top/Branulf/ServerPlayerOnlineTracker/src/branch/master/README_EN.md)

注意：本mod并不完善，可能会存在些许的bug
### 包含功能：
* 显示/记录服务器在线玩家时间
* 显示服务器状态
* 显示服务器在线玩家列表
* ~~移除游戏中的Herobrine~~

### 使用方法：
1. 安装Fabric Loader和Fabric API
2. 将最新版本的mod放入mods文件夹
3. 首次启动服务器自动生成配置文件
4. 修改Web服务器端口(默认60048)，语言(目前仅支持zh_cn和en_us)，自动保存时间(默认300秒)
5. 如需在外部访问请确保端口已开放

### API获取数据：
*（也许可以用于机器人？）*
* 获取服务器在线玩家列表：【服务器IP+配置的端口】+`/api/online-players`
* 获取服务器状态：【服务器IP+配置的端口】+`/api/server-status`
* 获取服务器在线玩家时间：【服务器IP+配置的端口】+`/api/stats`
* 获取服务器在线玩家数量：【服务器IP+配置的端口】+`/api/player-count`
* ~~原始数据文件：【服务器IP+配置的端口】+`/api/playerdata`~~