# A simple mod for tracking online player time and server status
[中文简体](https://git.branulf.top/Branulf/ServerPlayerOnlineTracker/src/branch/master/README.md)

Note: This mod is not perfect and may have some bugs.
### Features include:
* Display/record server online player time
* Show server status
* Display a list of online players on the server
* ~~Remove Herobrine from the game~~

### How to use:
1. Install Fabric Loader and Fabric API.
2. Place the latest version of the mod into the mods folder.
3. The configuration file will be generated automatically when starting the server for the first time.
4. Modify the web server port (default 60048), language (currently only supports zh_cn and en_us), and automatic save interval (default 300 seconds).
5. If external access is needed, ensure that the port is open.

### API data retrieval:
*(Maybe can be used for bots?)*
* Get a list of online players on the server: [Server IP + configured port] + `/api/online-players`
* Get server status: [Server IP + configured port] + `/api/server-status`
* Get online player time on the server: [Server IP + configured port] + `/api/stats`
* Get number of online players on the server: [Server IP + configured port] + `/api/player-count`
* ~~Raw data file: [Server IP + configured port] + `/api/playerdata`~~